Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jboss.subsystem
Class MappedListAttributeDefinition

    java.lang.Object
      org.jboss.as.controller.AttributeDefinition
          org.jboss.as.controller.ListAttributeDefinition
              org.modeshape.jboss.subsystem.MappedListAttributeDefinition

All Implemented Interfaces:
  MappedAttributeDefinition

    public class MappedListAttributeDefinition

extends org.jboss.as.controller.ListAttributeDefinition
implements MappedAttributeDefinition

An extension to ListAttributeDefinition that contains a mapped field.

Nested Class Summary
`static class` | `MappedListAttributeDefinition.Builder`

Constructor Summary
`protected` | `MappedListAttributeDefinition(org.jboss.as.controller.SimpleListAttributeDefinition simpleList, org.jboss.as.controller.SimpleAttributeDefinition valueType, List<String> pathToFieldInConfiguration)`

Method Summary
`protected void` | `addAttributeValueTypeDescription(org.jboss.dmr.ModelNode node, org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver, Locale locale, ResourceBundle bundle)`
`org.jboss.dmr.ModelNode` | `addOperationParameterDescription(org.jboss.dmr.ModelNode resourceDescription, String operationName, org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver, Locale locale, ResourceBundle bundle)`
`org.jboss.dmr.ModelNode` | `addOperationParameterDescription(ResourceBundle bundle, String prefix, org.jboss.dmr.ModelNode operationDescription)`
`protected void` | `addOperationParameterValueTypeDescription(org.jboss.dmr.ModelNode node, String operationName, org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver, Locale locale, ResourceBundle bundle)`
`org.jboss.dmr.ModelNode` | `addResourceAttributeDescription(org.jboss.dmr.ModelNode resourceDescription, org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver, Locale locale, ResourceBundle bundle)`
`org.jboss.dmr.ModelNode` | `addResourceAttributeDescription(ResourceBundle bundle, String prefix, org.jboss.dmr.ModelNode resourceDescription)`
`protected void` | `addValueTypeDescription(org.jboss.dmr.ModelNode node, ResourceBundle bundle)`
`String[]` | `getAlternatives()`
`String` | `getAttributeTextDescription(ResourceBundle bundle, String prefix)`
`org.jboss.dmr.ModelNode` | `getDefaultValue()`
`org.jboss.as.controller.operations.validation.ParameterValidator` | `getElementValidator()`
`String` | `getFieldName()` Get the name of the mapped field in the `RepositoryConfiguration`.
`EnumSet<org.jboss.as.controller.registry.AttributeAccess.Flag>` | `getFlags()`
`org.jboss.as.controller.client.helpers.MeasurementUnit` | `getMeasurementUnit()`
`String` | `getName()`
`org.jboss.dmr.ModelNode` | `getNoTextDescription(boolean forOperation)`
`List<String>` | `getPathToContainerOfField()` Get the path to the field that contains the mapped field within the `RepositoryConfiguration`.
`List<String>` | `getPathToField()` Get the path to the field within the `RepositoryConfiguration`.
`String[]` | `getRequires()`
`org.jboss.dmr.ModelType` | `getType()`
`Object` | `getTypedValue(org.jboss.dmr.ModelNode node)` Obtain from the supplied model node value the value that can be used in the RepositoryConfiguration field.
`org.jboss.as.controller.operations.validation.ParameterValidator` | `getValidator()`
`String` | `getXmlName()`
`boolean` | `hasAlternative(org.jboss.dmr.ModelNode operationObject)`
`boolean` | `isAllowed(org.jboss.dmr.ModelNode operationObject)`
`boolean` | `isAllowExpression()`
`boolean` | `isAllowNull()`
`boolean` | `isMarshallable(org.jboss.dmr.ModelNode resourceModel)`
`boolean` | `isMarshallable(org.jboss.dmr.ModelNode resourceModel, boolean marshallDefault)`
`boolean` | `isRequired(org.jboss.dmr.ModelNode operationObject)`
`void` | `marshallAsElement(org.jboss.dmr.ModelNode resourceModel, XMLStreamWriter writer)`
`org.jboss.dmr.ModelNode` | `parse(String value, Location location)` Deprecated.
`org.jboss.dmr.ModelNode` | `parse(String value, XMLStreamReader reader)`
`void` | `parseAndAddParameterElement(String value, org.jboss.dmr.ModelNode operation, Location location)` Deprecated.
`void` | `parseAndAddParameterElement(String value, org.jboss.dmr.ModelNode operation, XMLStreamReader reader)`
`org.jboss.dmr.ModelNode` | `resolveModelAttribute(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode model)`
`org.jboss.dmr.ModelNode` | `validateOperation(org.jboss.dmr.ModelNode operationObject)`
`org.jboss.dmr.ModelNode` | `validateResolvedOperation(org.jboss.dmr.ModelNode operationObject)` Deprecated.

Methods inherited from class org.jboss.as.controller.AttributeDefinition
`correctValue, validateAndSet`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappedListAttributeDefinition

    protected MappedListAttributeDefinition(org.jboss.as.controller.SimpleListAttributeDefinition simpleList,
                                            org.jboss.as.controller.SimpleAttributeDefinition valueType,
                                            List<String> pathToFieldInConfiguration)

Method Detail

### getPathToField

    public List<String> getPathToField()

  Description copied from interface: `MappedAttributeDefinition`
  Get the path to the field within the `RepositoryConfiguration`.

  Specified by:
    `getPathToField` in interface `MappedAttributeDefinition`
  Returns:
    the path; never null and never empty

### getPathToContainerOfField

    public List<String> getPathToContainerOfField()

  Description copied from interface: `MappedAttributeDefinition`
  Get the path to the field that contains the mapped field within the `RepositoryConfiguration`.

  Specified by:
    `getPathToContainerOfField` in interface `MappedAttributeDefinition`
  Returns:
    the parent path; never null but possibly empty if the mapped field is at the top-level of the configuration document

### getFieldName

    public String getFieldName()

  Description copied from interface: `MappedAttributeDefinition`
  Get the name of the mapped field in the `RepositoryConfiguration`.

  Specified by:
    `getFieldName` in interface `MappedAttributeDefinition`
  Returns:
    the field name; never null

### getTypedValue

    public Object getTypedValue(org.jboss.dmr.ModelNode node)
                         throws org.jboss.as.controller.OperationFailedException

  Description copied from interface: `MappedAttributeDefinition`
  Obtain from the supplied model node value the value that can be used in the RepositoryConfiguration field.

  Specified by:
    `getTypedValue` in interface `MappedAttributeDefinition`
  Parameters:
    `node` - the model node value
  Returns:
    the field value
  Throws:
    `org.jboss.as.controller.OperationFailedException` - if there was an error obtaining the value from the model node

### addResourceAttributeDescription

    public org.jboss.dmr.ModelNode addResourceAttributeDescription(ResourceBundle bundle,
                                                                   String prefix,
                                                                   org.jboss.dmr.ModelNode resourceDescription)

  Overrides:
    `addResourceAttributeDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

### addOperationParameterDescription

    public org.jboss.dmr.ModelNode addOperationParameterDescription(ResourceBundle bundle,
                                                                    String prefix,
                                                                    org.jboss.dmr.ModelNode operationDescription)

  Overrides:
    `addOperationParameterDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

### getElementValidator

    public org.jboss.as.controller.operations.validation.ParameterValidator getElementValidator()

  Overrides:
    `getElementValidator` in class `org.jboss.as.controller.ListAttributeDefinition`

### parse

    public org.jboss.dmr.ModelNode parse(String value,
                                         XMLStreamReader reader)
                                  throws XMLStreamException

  Overrides:
    `parse` in class `org.jboss.as.controller.ListAttributeDefinition`
  Throws:
    `XMLStreamException`

### parse

    @Deprecated
    public org.jboss.dmr.ModelNode parse(String value,
                                                    Location location)
                                  throws XMLStreamException

  Deprecated.

  Overrides:
    `parse` in class `org.jboss.as.controller.ListAttributeDefinition`
  Throws:
    `XMLStreamException`

### marshallAsElement

    public void marshallAsElement(org.jboss.dmr.ModelNode resourceModel,
                                  XMLStreamWriter writer)
                           throws XMLStreamException

  Specified by:
    `marshallAsElement` in class `org.jboss.as.controller.AttributeDefinition`
  Throws:
    `XMLStreamException`

### getName

    public String getName()

  Overrides:
    `getName` in class `org.jboss.as.controller.AttributeDefinition`

### getXmlName

    public String getXmlName()

  Overrides:
    `getXmlName` in class `org.jboss.as.controller.AttributeDefinition`

### getType

    public org.jboss.dmr.ModelType getType()

  Overrides:
    `getType` in class `org.jboss.as.controller.AttributeDefinition`

### isAllowNull

    public boolean isAllowNull()

  Overrides:
    `isAllowNull` in class `org.jboss.as.controller.AttributeDefinition`

### isAllowExpression

    public boolean isAllowExpression()

  Overrides:
    `isAllowExpression` in class `org.jboss.as.controller.AttributeDefinition`

### getDefaultValue

    public org.jboss.dmr.ModelNode getDefaultValue()

  Overrides:
    `getDefaultValue` in class `org.jboss.as.controller.AttributeDefinition`

### getMeasurementUnit

    public org.jboss.as.controller.client.helpers.MeasurementUnit getMeasurementUnit()

  Overrides:
    `getMeasurementUnit` in class `org.jboss.as.controller.AttributeDefinition`

### getValidator

    public org.jboss.as.controller.operations.validation.ParameterValidator getValidator()

  Overrides:
    `getValidator` in class `org.jboss.as.controller.AttributeDefinition`

### getAlternatives

    public String[] getAlternatives()

  Overrides:
    `getAlternatives` in class `org.jboss.as.controller.AttributeDefinition`

### getRequires

    public String[] getRequires()

  Overrides:
    `getRequires` in class `org.jboss.as.controller.AttributeDefinition`

### getFlags

    public EnumSet<org.jboss.as.controller.registry.AttributeAccess.Flag> getFlags()

  Overrides:
    `getFlags` in class `org.jboss.as.controller.AttributeDefinition`

### isMarshallable

    public boolean isMarshallable(org.jboss.dmr.ModelNode resourceModel)

  Overrides:
    `isMarshallable` in class `org.jboss.as.controller.AttributeDefinition`

### parseAndAddParameterElement

    public void parseAndAddParameterElement(String value,
                                            org.jboss.dmr.ModelNode operation,
                                            XMLStreamReader reader)
                                     throws XMLStreamException

  Overrides:
    `parseAndAddParameterElement` in class `org.jboss.as.controller.ListAttributeDefinition`
  Throws:
    `XMLStreamException`

### isMarshallable

    public boolean isMarshallable(org.jboss.dmr.ModelNode resourceModel,
                                  boolean marshallDefault)

  Overrides:
    `isMarshallable` in class `org.jboss.as.controller.AttributeDefinition`

### validateOperation

    public org.jboss.dmr.ModelNode validateOperation(org.jboss.dmr.ModelNode operationObject)
                                              throws org.jboss.as.controller.OperationFailedException

  Overrides:
    `validateOperation` in class `org.jboss.as.controller.AttributeDefinition`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### parseAndAddParameterElement

    @Deprecated
    public void parseAndAddParameterElement(String value,
                                                       org.jboss.dmr.ModelNode operation,
                                                       Location location)
                                     throws XMLStreamException

  Deprecated.

  Overrides:
    `parseAndAddParameterElement` in class `org.jboss.as.controller.ListAttributeDefinition`
  Throws:
    `XMLStreamException`

### validateResolvedOperation

    @Deprecated
    public org.jboss.dmr.ModelNode validateResolvedOperation(org.jboss.dmr.ModelNode operationObject)
                                                      throws org.jboss.as.controller.OperationFailedException

  Deprecated.

  Overrides:
    `validateResolvedOperation` in class `org.jboss.as.controller.AttributeDefinition`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### resolveModelAttribute

    public org.jboss.dmr.ModelNode resolveModelAttribute(org.jboss.as.controller.OperationContext context,
                                                         org.jboss.dmr.ModelNode model)
                                                  throws org.jboss.as.controller.OperationFailedException

  Overrides:
    `resolveModelAttribute` in class `org.jboss.as.controller.AttributeDefinition`
  Throws:
    `org.jboss.as.controller.OperationFailedException`

### addResourceAttributeDescription

    public org.jboss.dmr.ModelNode addResourceAttributeDescription(org.jboss.dmr.ModelNode resourceDescription,
                                                                   org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver,
                                                                   Locale locale,
                                                                   ResourceBundle bundle)

  Overrides:
    `addResourceAttributeDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

### addOperationParameterDescription

    public org.jboss.dmr.ModelNode addOperationParameterDescription(org.jboss.dmr.ModelNode resourceDescription,
                                                                    String operationName,
                                                                    org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver,
                                                                    Locale locale,
                                                                    ResourceBundle bundle)

  Overrides:
    `addOperationParameterDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

### isAllowed

    public boolean isAllowed(org.jboss.dmr.ModelNode operationObject)

  Overrides:
    `isAllowed` in class `org.jboss.as.controller.AttributeDefinition`

### isRequired

    public boolean isRequired(org.jboss.dmr.ModelNode operationObject)

  Overrides:
    `isRequired` in class `org.jboss.as.controller.AttributeDefinition`

### hasAlternative

    public boolean hasAlternative(org.jboss.dmr.ModelNode operationObject)

  Overrides:
    `hasAlternative` in class `org.jboss.as.controller.AttributeDefinition`

### getAttributeTextDescription

    public String getAttributeTextDescription(ResourceBundle bundle,
                                              String prefix)

  Overrides:
    `getAttributeTextDescription` in class `org.jboss.as.controller.AttributeDefinition`

### getNoTextDescription

    public org.jboss.dmr.ModelNode getNoTextDescription(boolean forOperation)

  Overrides:
    `getNoTextDescription` in class `org.jboss.as.controller.AttributeDefinition`

### addValueTypeDescription

    protected void addValueTypeDescription(org.jboss.dmr.ModelNode node,
                                           ResourceBundle bundle)

  Specified by:
    `addValueTypeDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

### addAttributeValueTypeDescription

    protected void addAttributeValueTypeDescription(org.jboss.dmr.ModelNode node,
                                                    org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver,
                                                    Locale locale,
                                                    ResourceBundle bundle)

  Specified by:
    `addAttributeValueTypeDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

### addOperationParameterValueTypeDescription

    protected void addOperationParameterValueTypeDescription(org.jboss.dmr.ModelNode node,
                                                             String operationName,
                                                             org.jboss.as.controller.descriptions.ResourceDescriptionResolver resolver,
                                                             Locale locale,
                                                             ResourceBundle bundle)

  Specified by:
    `addOperationParameterValueTypeDescription` in class `org.jboss.as.controller.ListAttributeDefinition`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.